%define upstream_name    Test-YAML-Valid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Test for valid YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(inc::Module::Install)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:	perl(YAML::XS)
Requires:       perl(YAML)
BuildArch:      noarch


%description
This module lets you easily test the validity of YAML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-14.mga10
+ Revision: 2208651
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.40.0-13.mga9
+ Revision: 1819066
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-12.mga8
+ Revision: 1506670
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-11.mga7
+ Revision: 1286927
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.40.0-10.mga7
+ Revision: 1166945
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.40.0-9.mga7
+ Revision: 1159329
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1034892
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 930020
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 745927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 686587
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-4.mga4
+ Revision: 523462
- Mageia 4 Mass Rebuild

* Fri May 03 2013 pterjan <pterjan> 0.40.0-3.mga3
+ Revision: 412152
- Add missing BuildRequires

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 373941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 32475
- mageia rebuild
- imported package perl-Test-YAML-Valid


* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.1
+ Revision: 488606
- update to 0.04

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 405604
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.03-4mdv2009.0
+ Revision: 241986
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdv2008.0
+ Revision: 65300
- fix dependency on YAML

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
+ Revision: 64669
- import perl-Test-YAML-Valid


* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
- first mdv release
